## r-cran-kernlab 0.9

=== DESCRIPTION ===
Package: kernlab
Version: 0.9-33
Title: Kernel-Based Machine Learning Lab
Authors@R: c(person("Alexandros", "Karatzoglou", role = c("aut", "cre"),
                    email = "alexandros.karatzoglou@gmail.com"),
             person("Alex", "Smola", role = "aut"),
             person("Kurt", "Hornik", role = "aut",
	            email = "Kurt.Hornik@R-project.org",
                    comment = c(ORCID = "0000-0003-4198-9911")),
	     person("National ICT Australia (NICTA)",
	            role = "cph"),
	     person(c("Michael", "A."), "Maniscalco",
	            role = c("ctb", "cph")),
             person(c("Choon", "Hui"), "Teo", role = "ctb"))
Description: Kernel-based machine learning methods for classification,
        regression, clustering, novelty detection, quantile regression
        and dimensionality reduction.  Among other methods 'kernlab'
        includes Support Vector Machines, Spectral Clustering, Kernel
        PCA, Gaussian Processes and a QP solver.
Depends: R (>= 2.10)
Imports: methods, stats, grDevices, graphics
LazyLoad: Yes
License: GPL-2
NeedsCompilation: yes
Packaged: 2024-08-13 14:40:27 UTC; hornik
Author: Alexandros Karatzoglou [aut, cre],
  Alex Smola [aut],
  Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
  National ICT Australia (NICTA) [cph],
  Michael A. Maniscalco [ctb, cph],
  Choon Hui Teo [ctb]
Maintainer: Alexandros Karatzoglou <alexandros.karatzoglou@gmail.com>
Repository: CRAN
Date/Publication: 2024-08-13 15:25:01 UTC

## r-cran-kernlab 0.9-20

=== debian/changelog ===
r-cran-kernlab (0.9-20-3) unstable; urgency=low

  * debian/copyright: Included full copy of the MPL

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Feb 2015 12:59:16 -0600

r-cran-kernlab (0.9-20-2) unstable; urgency=low

  * debian/README.source: Corrected accidental naming as README.sources

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Jan 2015 21:01:45 -0600

r-cran-kernlab (0.9-20-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 10 Jan 2015 08:43:42 -0600

r-cran-kernlab (0.9-19-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #771031)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Nov 2014 16:39:08 -0600

=== debian/control ===
Source: r-cran-kernlab
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.1.2), cdbs
Standards-Version: 3.9.6

Package: r-cran-kernlab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for kernel-based machine learning lab
 The kernlab package provides kernel-based machine learning methods
 for classification, regression, clustering, novelty detection,
 quantile regression and dimensionality reduction.  Among other
 methods kernlab includes Support Vector Machines, Spectral
 Clustering, Kernel PCA, Gaussian Processes and a QP solver.

## r-cran-kernlab 0.9-22

=== debian/changelog ===
r-cran-kernlab (0.9-22-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Aug 2015 15:11:28 -0500

## r-cran-kernlab 0.9-23

=== debian/changelog ===
r-cran-kernlab (0.9-23-1) unstable; urgency=low

  * New upstream release
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jan 2016 16:33:36 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.1.2), cdbs
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.2.1), cdbs
 Standards-Version: 3.9.6
 
 Package: r-cran-kernlab

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/kernlab_([-\d\.]*)\.tar.gz

## r-cran-kernlab 0.9-24

=== debian/changelog ===
r-cran-kernlab (0.9-24-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/control: loosen r-base-dev Build-Depends from >= 3.2.4
    to >= 3.1.1 (version in jessie).

 -- Joost van Baal-Ilić <joostvb+debian@uvt.nl>  Wed, 06 Apr 2016 14:07:37 +0000

r-cran-kernlab (0.9-24-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Mar 2016 17:02:40 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.2.1), cdbs
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.1.1), cdbs
 Standards-Version: 3.9.6
 
 Package: r-cran-kernlab

## r-cran-kernlab 0.9-25

=== debian/changelog ===
r-cran-kernlab (0.9-25-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Sep 2017 09:28:23 +0000

r-cran-kernlab (0.9-25-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Oct 2016 19:01:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.1.1), cdbs
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.1), cdbs
+Standards-Version: 3.9.8
 
 Package: r-cran-kernlab
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-kernlab package
# Copyright 2003-2014 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-kernlab 0.9-27

=== debian/changelog ===
r-cran-kernlab (0.9-27-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Aug 2018 21:02:17 -0500

r-cran-kernlab (0.9-26-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 May 2018 11:06:52 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.1), cdbs
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernlab
+Vcs-Git: https://salsa.debian.org/edd/r-cran-kernlab.git
+Homepage: https://cran.r-project.org/package=kernlab
 
 Package: r-cran-kernlab
 Architecture: any

## r-cran-kernlab 0.9-29

=== debian/changelog ===
r-cran-kernlab (0.9-29-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:46 +0100

r-cran-kernlab (0.9-29-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 12 Nov 2019 06:59:06 -0600

r-cran-kernlab (0.9-28-1) unstable; urgency=medium

  * New upstream release				(Closes: #812765)
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Nov 2019 17:33:56 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernlab
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernlab.git
 Homepage: https://cran.r-project.org/package=kernlab

## r-cran-kernlab 0.9-31

=== debian/changelog ===
r-cran-kernlab (0.9-31-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Jun 2022 11:20:04 -0500

r-cran-kernlab (0.9-30-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Apr 2022 08:42:10 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.0), dh-r
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernlab
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernlab.git
 Homepage: https://cran.r-project.org/package=kernlab

## r-cran-kernlab 0.9-32

=== debian/changelog ===
r-cran-kernlab (0.9-32-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Jan 2023 12:23:22 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.0), dh-r
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernlab
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernlab.git
 Homepage: https://cran.r-project.org/package=kernlab

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-kernlab package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-kernlab 0.9-33

=== debian/changelog ===
r-cran-kernlab (0.9-33-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Aug 2024 13:58:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernlab
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernlab.git
 Homepage: https://cran.r-project.org/package=kernlab
